import { ComponentType as CT } from 'react';
import { State, ThemeConfig, ImportMap } from './state';
export interface ThemeProps {
    db: State;
    imports: ImportMap;
    wrapper?: CT;
    hashRouter?: boolean;
    websocketUrl?: string;
    children(WrappedComponent: CT): JSX.Element;
}
export declare type ThemeReturn = (WrappedComponent: CT) => CT<ThemeProps>;
export declare type TransformFn = (config: ThemeConfig) => ThemeConfig;
interface ThemeContext {
    imports?: ImportMap;
    themeConfig?: ThemeConfig;
    transform?: TransformFn;
}
export declare const themeContext: import("create-react-context").Context<ThemeContext>;
export declare function theme(themeConfig: ThemeConfig, transform?: TransformFn): ThemeReturn;
export {};
